# gds-popover - React

## Import

```typescript
import { GdsPopover } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsPopover>
  {/* content */}
</GdsPopover>
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `gds-ui-state` | `onGdsUiState` | `onGdsUiState={handler}` |
